Package org.eclipse.emf.cdo.common.revision

## Interface CDOListResolver

- All Known Subinterfaces:
    `CDOCollectionLoadingPolicy`

      public interface CDOListResolver

  A strategy that specifies which list elememts must be present (loaded) in a `CDOID` list of a `revision` when a certain list index is accessed. Implementations of this interface can control the exact characteristics of a certain partial collection loading strategy.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `resolveAllProxies​(CDORevision revision, EStructuralFeature feature)` | Defines a strategy to be used when the collection needs to resolve all elements.
    `java.lang.Object` | `resolveProxy​(CDORevision revision, EStructuralFeature feature, int accessIndex, int serverIndex)` | Defines a strategy to be used when the collection needs to resolve one element.

- - ### Method Detail

    - #### resolveProxy

          java.lang.Object resolveProxy​(CDORevision revision,
                                        EStructuralFeature feature,
                                        int accessIndex,
                                        int serverIndex)

      Defines a strategy to be used when the collection needs to resolve one element.

    - #### resolveAllProxies

          void resolveAllProxies​(CDORevision revision,
                                 EStructuralFeature feature)

      Defines a strategy to be used when the collection needs to resolve all elements.